package com.ejie.ad74a.util.constantes;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.util.comun.Utilidades;

/**
 * enum que contiene todas las tareas que se pueden realizar en los trámites de
 * la app
 * 
 * Formato: nombre_tarea(id de base de datos de situacion, Descripcion)
 *
 */

public enum TipoDatoEco85Enum {

	RENDIMIENTO_CAPITAL_INMOBILIARIO(1L, "situacioneFinalTarea.requerimientosubsanacion"), //
	RENDIMIENTO_CAPITAL_MOBILIARIO(2L, "situacioneFinalTarea.resolucionConcesion"), //
	RENDIMIENTO_ACTIVIDADES_EMPRESARIALES(3L, "situacioneFinalTarea.resolucionDenegacion"),
	RENDIMIENTO_TRABAJOS(4L, "situacioneFinalTarea.desistimiento");

//	 
//	CIERRE(3, "situacioneFinalTarea.cierre",
//			new ArrayList<ProcedimientosEnum>(Arrays.asList(ProcedimientosEnum.MODIFICACION))), //
//	COMPLETA(4, "situacioneFinalTarea.completa",
//			new ArrayList<ProcedimientosEnum>(Arrays.asList(ProcedimientosEnum.INFORME)));

	private TipoDatoEco85Enum(Long id, String labelDesc) {
		this.id = id;
		this.labelDesc = labelDesc;
	}

	private Long id;
	private String labelDesc;

	public Long getId() {
		return this.id;
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
				LocaleContextHolder.getLocale());
	}

	public String getLabelDesc(Long id) {
		String desc = "";
		for (TipoDatoEco85Enum tipo : TipoDatoEco85Enum.values()) {
			if (tipo.getId() == id) {
				desc = Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, tipo.getLabelDesc(),
						LocaleContextHolder.getLocale());
			}
		}
		return desc;
	}

}
